[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| StopAfterTree |

`#include <vigra/random_forest/rf_earlystopping.hxx>`

Inheritance diagram for StopAfterTree:

List of all members.

## Public Member Functions

template<class WeightIter, class T, class C>
bool | after_prediction (WeightIter, int k, MultiArrayView< 2, T, C > const &, double)
| StopAfterTree (double max_tree)

## Detailed Description

Stop predicting after a set number of trees

## Constructor & Destructor Documentation

StopAfterTree | ( | double | max_tree | ) |

Constructor

Parameters:

  | max_tree | number of trees to be used for prediction

## Member Function Documentation

template<class WeightIter, class T, class C>
bool after_prediction | ( | WeightIter | ,
|  | int | k,
|  | MultiArrayView< 2, T, C > const & | ,
|  | double |  |
| ) |  |  |

called after the prediction of a tree was added to the total prediction

Parameters:

  | WeightIter | Iterator to the weights delivered by current tree.
  | k | after kth tree
  | prob | Total probability array
  | totalCt | sum of probability array.

Reimplemented from StopBase.

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_earlystopping.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.7.1 (3 Dec 2010)